<?php

$options = array (

  // Все ваши варианты будут отображаться здесь
  array(
     "name" => "ID Рубрики",
	 "desc" => "Чтобы отобразить конкретные рубрики, введите ID рубрик через запятую. Чтобы исключить рубрики, введите ID рубрик со знаком минус",
	 "id" => "ind_cat_id",
	 "default" => "0"),
   
   
  array(
   	"name" => "Рубрики в Feed",
	"desc" => "Чтобы отобразить конкретные рубрики в Feed, введите ID рубрик через запятую. Чтобы исключить рубрики из Feed, введите ID рубрик со знаком минус",
	"id" => "ind_posts_feed",
	"default" => "5"),
);

//Эта функция используется для обработки
function ind_admin_options() {
/*oбрабатывает данные, представленные с помощью функции UPDATE_OPTION () 
с каждым параметром id которое было изменено. После отправки все ваши 
изменения будут храниться в в таблице wp_options в БД*/

  global $options;

  if ('ind_admin_save'== $_REQUEST['action'] ) {

    foreach ($options as $value) {
     if( !isset( $_REQUEST[ $value['id'] ] ) ) {
        //Нечего не делать
     } else {
        update_option( $value['id'], stripslashes($_REQUEST[ $value['id']])); }
     }

     if(stristr($_SERVER['REQUEST_URI'],'&saved=true')) {
        $location = $_SERVER['REQUEST_URI'];
     } else {
        $location = $_SERVER['REQUEST_URI'] . "&saved=true";
     }

     header("Location: $location");
     die;
  }

add_theme_page('Настройки главной', 'Настройки главной', 10, 'ind_admin_options', 'ind_admin_admin');
}

//Весь код показа
function ind_admin_admin() { ?>
		<div style="margin: 0 auto;width: 40%;"><?php
   global $options;
     if ( $_REQUEST['saved'] ) echo '<div><p><strong>настройки сохранены.</strong></p></div>';
     if ( $_REQUEST['reset'] ) echo '<div><p><strong>настройки сброшены.</strong></p></div>';
   foreach ($options as $value) {

      switch ( $value['id'] ) {
        case "ind_cat_id": ?>

		<form method="post">
       <h2> <?php /*выводим название опции*/ echo $value['name']; ?></h2><br />
		<p><?php /*выводим описание опции*/ echo $value['desc']; ?></p>
        <?php  /*Выводим поле для ввода значения переменной*/?>
		<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text"
        value="<?php print get_option($value['id']); ?>" />
        <?php break; 

		case "ind_posts_feed": ?>

		<form method="post">
       <h2> <?php /*выводим название опции*/ echo $value['name']; ?></h2><br />
		<p><?php /*выводим описание опции*/ echo $value['desc']; ?></p>
        <?php  /*Выводим поле для ввода значения переменной*/?>
		<p><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text"
        value="<?php print get_option($value['id']); ?>" /></p>
        <?php break; 
		
        }
    } ?>
<input name="ferst_admin_save" type="submit" value="Сохранить изменения" />
<input type="hidden" name="action" value="ind_admin_save" />
</form>	</div>
<?php }
   add_action('admin_menu', 'ind_admin_options');
?>